Problems with aTV Flash

Hi there!

Do not remember when I download aTV Flash 4.5, maybe dec2009 and now on Yosemite OSX program cannot execute and answer me “This version of aTV is out of date. Please download the latest version from the firecore.com website”.
Ok, I went to firecore.com and I could not find aTV 4.5.1 version

Anybody may support me please?

Best regards